﻿<?xml version="1.0" encoding="utf-8" ?>
<pages:PopupPage
    x:Class="soccerapp.UpdatePopup"
    xmlns="http://xamarin.com/schemas/2014/forms"
    xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
    xmlns:animations="clr-namespace:Rg.Plugins.Popup.Animations;assembly=Rg.Plugins.Popup"
    xmlns:pages="clr-namespace:Rg.Plugins.Popup.Pages;assembly=Rg.Plugins.Popup"
    Title="Updates"
    Padding="20"
    CloseWhenBackgroundIsClicked="true">
    <pages:PopupPage.Animation>
        <animations:ScaleAnimation
            DurationIn="400"
            DurationOut="300"
            EasingIn="SinOut"
            EasingOut="SinIn"
            HasBackgroundAnimation="True"
            PositionIn="Center"
            PositionOut="Center"
            ScaleIn="1.2"
            ScaleOut="0.8" />
    </pages:PopupPage.Animation>
    <!--  Remeber to add 'Page' background at this level, at Popup level you set background as popup backdrop color  -->
    <StackLayout
        Padding="30"
        BackgroundColor="LightBlue"
        MinimumHeightRequest="120"
        VerticalOptions="Start">
        <Label
            FontSize="18"
            HeightRequest="50"
            HorizontalOptions="Center"
            Text="Updates"
            TextColor="White" />
        <Entry x:Name="NewsTitle" Text=""/>
        <Editor x:Name="NewsUpdates"  Text="" BackgroundColor="#f2f0f0" HeightRequest="100" WidthRequest="250"/>
        <Button
            x:Name="plusButton"
            HeightRequest="70"
            Text="Save" 
            Clicked="OnSaveClicked"/>
    </StackLayout>
</pages:PopupPage>